Page MenuHomePhabricator

[ARM] Fix IT block generation after Thumb2SizeReduce with -Oz
ClosedPublic

Authored by NickGuy on Sep 29 2020, 8:23 AM.

Details

Summary

Fixes a regression caused by D82439, in which IT blocks were no longer being generated when -Oz is present.

Diff Detail

Event Timeline

NickGuy created this revision.Sep 29 2020, 8:23 AM
NickGuy updated this revision to Diff 299624.Oct 21 2020, 3:20 AM
NickGuy edited the summary of this revision. (Show Details)

Rebased atop changes to https://reviews.llvm.org/D88494

SjoerdMeijer added inline comments.Oct 21 2020, 12:21 PM
llvm/test/CodeGen/Thumb2/ifcvt-dead-predicate.ll
3 ↗(On Diff #299624)

I think a MIR test would be better here.

NickGuy updated this revision to Diff 301582.Oct 29 2020, 5:07 AM

I think a MIR test would be better here.

Done

SjoerdMeijer added inline comments.Oct 29 2020, 5:34 AM
llvm/test/CodeGen/Thumb2/ifcvt-dead-predicate.mir
50

Not sure if I follow this codegen or what to expect, but every time I look at this patch I need to get up to speed again. But to help me, and to be a bit annoying, can you upload a diff with just the changes ? So, locally add this test first, and then create the diff against that.

NickGuy updated this revision to Diff 301605.Oct 29 2020, 7:03 AM

I appreciate that the history and context for this has been a bit obscured. Most of it can be gathered on the patch D83667

can you upload a diff with just the changes ?

Done

SjoerdMeijer accepted this revision.Oct 29 2020, 7:52 AM

Thanks, LGTM

This revision is now accepted and ready to land.Oct 29 2020, 7:52 AM
This revision was landed with ongoing or failed builds.Oct 29 2020, 8:17 AM
This revision was automatically updated to reflect the committed changes.